Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class Biopolymer

    |
    +--ru.biosoft.access.MutableDataElementSupport
      |
      +--biouml.standard.type.BaseSupport
            |
            +--biouml.standard.type.GenericEntity
                  |
                  +--biouml.standard.type.Referrer
                        |
                        +--biouml.standard.type.Concept
                              |
                              +--biouml.standard.type.Molecule
                                    |
                                    +--biouml.standard.type.Biopolymer

Direct Known Subclasses:
  Gene, Protein, RNA

public abstract class Biopolymer
extends Molecule

todo comments

Method Summary
`String` | `getRegulation()`
`String` | `getSource()`
`String` | `getSpecies()`
`void` | `setRegulation(String regulation)`
`void` | `setSource(String source)`
`void` | `setSpecies(String species)`

Methods inherited from class biouml.standard.type.Concept
`getCompleteName, getSynonyms, getType, setCompleteName, setSynonyms, setType`

Methods inherited from class biouml.standard.type.Referrer
`getDatabaseReferences, getDescription, getLiteratureReferences, setDatabaseReferences, setDescription, setLiteratureReferences`

Methods inherited from class biouml.standard.type.GenericEntity
`getComment, getDate, setComment, setDate`

Methods inherited from class biouml.standard.type.BaseSupport
`getTitle, setTitle`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Method Detail

### getRegulation

    public String getRegulation()

### getSource

    public String getSource()

### getSpecies

    public String getSpecies()

### setRegulation

    public void setRegulation(String regulation)

### setSource

    public void setSource(String source)

### setSpecies

    public void setSpecies(String species)

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM